: This batch file will register the Synaptics COM Dlls that are
: included in this version of the Synaptics SDK. The dlls will first 
: be copied into the system path.
:
: Note that machines that have a Synaptics driver package installed
: will already have installed and registered Synaptics COM Dlls. These
: previously installed Dlls may be newer than those supplied with this
: SDK.

: If the Synaptics driver is already installed, the syncom dll will be
: in use and will not be copied properly. If this occurs, use the
: task manager to terminate the program syntpenh.exe. This program
: resides in the c:\program files\synaptics\syntp directory or equivalent.
: It can either be restarted manually or will start automatically upon
: reboot.

if not "%winbootdir%" == "" goto :win9x

copy syncom.dll %windir%\system32
copy synctrl.dll %windir%\system32

goto :register

:win9x

copy syncom.dll %windir%\system
copy synctrl.dll %windir%\system

:register

regsvr32 syncom.dll
regsvr32 synctrl.dll

